' TripleSix's Countdown script
'
' v1.1
'
' Enter the date and time in the format your system requires.
' (Check "Regional and Language Options" in your control panel if not sure)
' 
'
' Format as follows:
'    %d  = total in days
'    %h  = total in hours
'    %H  = hours in 0-23 format
'    %_H = hours in 00-23 format (leading zero)
'    %m  = total in minutes
'    %M  = minutes in 0-59 format
'    %_M = minutes in 00-59 format (leading zero)
'    %s  = total in seconds
'    %S  = seconds in 0-59 format
'    %_S = seconds in 00-59 format (leading zero)
'
' Example: %dd %Hh %Mm %Ss  -- outputs: 203d 15h 3m 33s  (fictional values)
'
'

Function CountDownTo( FutureDate , FutureTime , Format )
    Dim FutureDateTime, strOutput
    Dim Seconds

    FutureDateTime = FormatDateTime(FutureDate & " " & FutureTime, 0)
    Seconds = DateDiff ("s", Now, FutureDateTime)
    If Seconds < 0 Then
        Seconds = 0
    End If

    strOutput = Format
    strOutput = Replace(strOutput, "%d", Int(Seconds / 86400))
    strOutput = Replace(strOutput, "%h", Int(Seconds / 3600))
    strOutput = Replace(strOutput, "%H", Int(Seconds / 3600) mod 24)
    strOutput = Replace(strOutput, "%_H", Right( "0" & Int(Seconds / 3600) mod 24, 2) )
    strOutput = Replace(strOutput, "%m", Int(Seconds / 60))
    strOutput = Replace(strOutput, "%M", Int(Seconds / 60) mod 60)
    strOutput = Replace(strOutput, "%_M", Right( "0" & Int(Seconds / 60) mod 60, 2) )
    strOutput = Replace(strOutput, "%s", Seconds)
    strOutput = Replace(strOutput, "%S", Seconds mod 60)
    strOutput = Replace(strOutput, "%_S", Right( "0" & Seconds mod 60, 2) )

    CountDownTo = strOutput
End Function

